import { OnInit, ChangeDetectorRef } from "@angular/core";
import { DashboardPorletsService } from "../../dashboardPorlets.service";
import { PageSettingsModel, GridComponent, QueryCellInfoEventArgs, ColumnChooserSettingsModel } from "@syncfusion/ej2-angular-grids";
import { DashboardService } from "../../dashboard.service";
export declare class GadgetTransposeComponent implements OnInit {
    private DashboardPorletsService;
    dashboardService: DashboardService;
    private ref;
    private pbf;
    portlet: any;
    portlets: any;
    dashboard: any;
    grid: GridComponent;
    private translation;
    private userInfo;
    datePipeFormat: any;
    fields: any[];
    data: any;
    pageSettings: PageSettingsModel;
    pageLoading: boolean;
    filter: Object;
    rowMode: string;
    private formatSettings;
    private config;
    private tranposeData;
    private subscriptions;
    private quarterFormat;
    private formatDates;
    ColumnChooserSettings: ColumnChooserSettingsModel;
    constructor(DashboardPorletsService: DashboardPorletsService, dashboardService: DashboardService, ref: ChangeDetectorRef, pbf: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private getTableData;
    private filterData;
    private getInfo;
    getFormatOptions(colName: any): any;
    customiseCell(args: QueryCellInfoEventArgs): void;
    cellAddStyle(args: any, queryCell: any): void;
    actionComplete(args: any): void;
    exportQueryCellInfo(args: any): void;
    private getNumFormat;
    private millionData;
}
